<template>
  <div class="product-insights-custom-fields-content">
    <div v-for="(value, label) in getTranslatedProperty(product, 'customFields')"
         class="product-insights-row">
      <div class="product-insights-label">{{ label }}</div>
      <div class="product-insights-value">{{ value }}</div>
    </div>
  </div>
</template>

<script lang="ts">
  import { getTranslatedProperty } from "@shopware-pwa/helpers";

  export default {
  name: "InsightsCustomFields",
  components: {},
  props: {
    product: {
      type: [Object,Array,String],
      default: null,
    },
  },
  setup() {
    return {
      getTranslatedProperty
    }
  }
}
</script>

<style lang="scss" scoped>
@import "@/assets/scss/variables";
</style>
